当前访客身份:游客 [ 登录  | 注册加入尚学堂]
直播

我来了!

拥有积分:3958
尚学堂雄起!!威武。。。

博客分类

笔记中心

课题中心

提问中心

答题中心

解答题中心

kafka8 于kafka7 兼容性的问题

我来了! 发表于 2年前 (2014-11-10 16:40:53)  |  评论(0)  |  阅读次数(348)| 0 人收藏此文章,   我要收藏   

kafka8 于kafka7 兼容性的问题:本地运行kafka8的客户端,一切ok,但是到了linux上就包下面的错误:

原因:项目中存在kafka7的jar,所以在linux上运行kafka8的客户端的时候,会加载kafka7的scale 的包。

所以删除kafka7的jar 就ok

Exception in thread "Thread-21" java.lang.IllegalArgumentException: Missing required property 'groupid'

        at kafka.utils.Utils$.getString(Utils.scala:274)

        at kafka.consumer.ConsumerConfig.<init>(ConsumerConfig.scala:48)

        at com.sohu.smc.common.kafka.Kafka.getConsumer(Kafka.java:145)

        at com.sohu.smc.common.kafka.Kafka.consumeForever(Kafka.java:173)

        at com.sohu.smc.kafka.interfacelog.KafkaModuleConsumer$ModelConsumer.run(KafkaModuleConsumer.java:53)

        at java.lang.Thread.run(Thread.java:662)

java.lang.IllegalArgumentException: Missing required property 'groupid'

        at kafka.utils.Utils$.getString(Utils.scala:274)

        at kafka.consumer.ConsumerConfig.<init>(ConsumerConfig.scala:48)

        at com.sohu.smc.common.kafka.Kafka.getConsumer(Kafka.java:145)

        at com.sohu.smc.common.kafka.Kafka.consumeForever(Kafka.java:173)

        at com.sohu.smc.kafka.interfacelog.KafkaModuleConsumer$ModelConsumer.run(KafkaModuleConsumer.java:53)

        at java.lang.Thread.run(Thread.java:662)


分享到:0
关注微信,跟着我们扩展技术视野。每天推送IT新技术文章,每周聚焦一门新技术。微信二维码如下:
微信公众账号:尚学堂(微信号:bjsxt-java)
声明:博客文章版权属于原创作者,受法律保护。如果侵犯了您的权利,请联系管理员,我们将及时删除!
(邮箱:webmaster#sxt.cn(#换为@))
北京总部地址:北京市海淀区西三旗桥东建材城西路85号神州科技园B座三层尚学堂 咨询电话:400-009-1906 010-56233821
Copyright 2007-2015 北京尚学堂科技有限公司 京ICP备13018289号-1 京公网安备11010802015183